AbstractClausedStaticPersistentMethod.GrailsMethodExpression (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class AbstractClausedStaticPersistentMethod.GrailsMethodExpression

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractClausedStaticPersistentMethod.GrailsMethodExpression

    protected static abstract class AbstractClausedStaticPersistentMethod.GrailsMethodExpression

Authors:
  Graeme Rocher

Field Summary
`protected static java.lang.String` | `BETWEEN`
`protected static java.lang.String` | `EQUAL`
`protected static java.lang.String` | `GREATER_THAN`
`protected static java.lang.String` | `GREATER_THAN_OR_EQUAL`
`protected static java.lang.String` | `ILIKE`
`protected static java.lang.String` | `IN_LIST`
`protected static java.lang.String` | `IS_NOT_NULL`
`protected static java.lang.String` | `IS_NULL`
`protected static java.lang.String` | `LESS_THAN`
`protected static java.lang.String` | `LESS_THAN_OR_EQUAL`
`protected static java.lang.String` | `LIKE`
`protected static java.lang.String` | `NOT`
`protected static java.lang.String` | `NOT_EQUAL`
`protected static java.lang.String` | `RLIKE`
`protected java.lang.Object[]` | `arguments`
`protected int` | `argumentsRequired`
`protected boolean` | `negation`
`protected java.lang.String` | `propertyName`
`protected java.lang.Class` | `targetClass`
`protected java.lang.String` | `type`

Method Summary
`protected static GrailsMethodExpression` | `create(GrailsApplication application, java.lang.Class clazz, java.lang.String queryParameter)`
`java.lang.Object[]` | `getArguments()`
`protected org.hibernate.criterion.Criterion` | `getCriterion()`
`java.lang.String` | `getPropertyName()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### BETWEEN

    protected static final java.lang.String BETWEEN

### EQUAL

    protected static final java.lang.String EQUAL

### GREATER_THAN

    protected static final java.lang.String GREATER_THAN

### GREATER_THAN_OR_EQUAL

    protected static final java.lang.String GREATER_THAN_OR_EQUAL

### ILIKE

    protected static final java.lang.String ILIKE

### IN_LIST

    protected static final java.lang.String IN_LIST

### IS_NOT_NULL

    protected static final java.lang.String IS_NOT_NULL

### IS_NULL

    protected static final java.lang.String IS_NULL

### LESS_THAN

    protected static final java.lang.String LESS_THAN

### LESS_THAN_OR_EQUAL

    protected static final java.lang.String LESS_THAN_OR_EQUAL

### LIKE

    protected static final java.lang.String LIKE

### NOT

    protected static final java.lang.String NOT

### NOT_EQUAL

    protected static final java.lang.String NOT_EQUAL

### RLIKE

    protected static final java.lang.String RLIKE

### arguments

    protected java.lang.Object[] arguments

### argumentsRequired

    protected int argumentsRequired

### negation

    protected boolean negation

### propertyName

    protected java.lang.String propertyName

### targetClass

    protected java.lang.Class targetClass

### type

    protected java.lang.String type

Method Detail

### create

    protected static GrailsMethodExpression create(GrailsApplication application, java.lang.Class clazz, java.lang.String queryParameter)

### getArguments

    public java.lang.Object[] getArguments()

### getCriterion

    protected org.hibernate.criterion.Criterion getCriterion()

### getPropertyName

    public java.lang.String getPropertyName()

### toString

    @Override
    public java.lang.String toString()

Groovy Documentation